Name: chiaki
Version: 2.1.1
Release: alt1
License: GPLv3
Summary: Remote Play client for PS4 and PS5
Group: Games/Emulators
Packager: Vadim Morozov <vadim@morozoff.pro>
Source0: https://git.sr.ht/~thestr4ng3r/chiaki/refs/download/v2.1.1/chiaki-v2.1.1-src.tar.gz

BuildArch: x86_64

BuildRequires: cmake extra-cmake-modules qt5-multimedia-devel libqt5-opengl qt5-base-devel qt5-svg-devel ffmpeg libopus-devel libssl-devel libSDL2-devel libprotobuf-devel python3-module-protobuf libavcodec-devel libavutil-devel protoc
Requires: qt5-multimedia libqt5-opengl qt5-svg ffmpeg libopus libssl libSDL2 libprotobuf python3-module-protobuf


%description
Chiaki is a Free and Open Source Software Client for PlayStation 4 and PlayStation 5 Remote Play

%prep
%setup -qn chiaki

%build
#mkdir %{buildroot}
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make


%install
pushd build
%makeinstall_std

popd

%files

/usr/bin/chiaki
/usr/share/applications/chiaki.desktop
/usr/share/icons/hicolor/512x512/apps/chiaki.png
/usr/share/metainfo/re.chiaki.Chiaki.appdata.xml
