                   
%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name cursor-theme

Name: cutefish-%{component_name}
#Version:  0 
Release: 1%{?dist}
License: GPLv3
Summary: System default cursor themes for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

#BuildRequires:  cmake make gcc gcc-c++
#Provides:       crule-icon-theme = 0.0.%{version}-%{release}

Source0: https://github.com/cutefishos/cursor-themes/archive/refs/heads/cursor-theme-master.tar.gz

%description
System default cursor themes  for Cutefish Desktop

%prep
%setup -qn %{name}-%{version}

%build

%install
install -dm 0755 %{buildroot}%{_datadir}/icons/
cp -a cutefish-light %{buildroot}%{_datadir}/icons/
cp -a cutefish-dark %{buildroot}%{_datadir}/icons/
find %{buildroot}%{_datadir}/icons -type f -exec chmod 0644 {} \;
find -L %{buildroot}%{_datadir}/icons -type l -delete -print

# %fdupes -s %{buildroot}%{_datadir}/icons/

%files
%doc README.md
%{_datadir}/icons/cutefish-dark
%{_datadir}/icons/cutefish-light 



%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro>
- Initial build for Sisyphus
