%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name dock

Name: cutefish-%{component_name}
Version: 0.8
Release: alt2
License: GPLv3
Summary: Desktop Taskbar for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires: cmake
BuildRequires: qt5-base-devel qt5-quickcontrols2-devel qt5-x11extras-devel qt5-designer
BuildRequires: kf5-kwindowsystem-devel


Requires: libcutefish
Requires: fishui

Source0:https://github.com/cutefishos/dock/archive/refs/heads/main.zip
 

%description
Cutefish Desktop application dock

%prep
%setup -qn dock-main
#%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
%{_bindir}/cutefish-dock
%{_datadir}/cutefish-dock
/etc/cutefish-dock-list.conf

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
