%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name filemanager

Name: cutefish-%{component_name}
Version: 0.8
Release: 1%{?dist}
License: GPLv3
Summary: File manager for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: qt5-base-devel qt5-quickcontrols2-devel  
BuildRequires: kf5-kio-devel kf5-solid-devel
BuildRequires: fishui

Requires: fishui kde5-kio-extras

Source0: https://github.com/cutefishos/%{component_name}/archive/refs/tags/%{version}.tar.gz

%description
File manager for Cutefish Desktop

%prep
%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std
%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
