%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name qt-plugins

Name: cutefish-%{component_name}
Version: 0.5
Release: alt2
License: GPLv3
Summary: System default QT plugins for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires:  cmake make gcc gcc-c++ libqtxdg-devel
#Provides:       crule-icon-theme = 0.0.%{version}-%{release}
Requires: libqtxdg
#Source0: https://github.com/cutefishos/%{component_name}/archive/refs/tags/%{version}.tar.gz
Source0: https://github.com/cutefishos/qt-plugins/archive/refs/heads/main.zip

%description
The system default QT plugins for Cutefish Desktop

%prep
%setup -qn qt-plugins-main

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
%{_libdir}/qt5/plugins/platformthemes/libcutefishplatformtheme.so
%{_libdir}/qt5/plugins/styles/libcutefishstyle.so

 

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
