 %define _empty_manifest_terminate_build 0

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d
 
%define _libdir %{_exec_prefix}/lib

#%%define git_refspec 259818a3d1397875c7e3afc14cd9fcf088a5190e
#%%define git_refspec_short %%(echo %%{git_refspec} | cut -c -7)

Name: fishui
Version: 0.8
#Version: 0.3git.%%(date +%Y%m%d).%%{git_refspec_short}
Release: 1%{?dist}
License: GPLv3
Summary: CutefishOS GUI library, based on Qt Quick
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>


BuildRequires: git extra-cmake-modules   qt5-declarative-devel qt5-graphicaleffects kf5-kwindowsystem-devel xcb-util-wm-devel qt5-quickcontrols2-devel
BuildRequires: qt5-x11extras-devel qt5-base-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: libxcb-devel xcb-util-wm-devel
Requires:libqt5-core libdbusmenu-qt52 appmenu-qt5 libdbusextended-qt5 libqt5-dbus libqt5-gui libqt5-qml libqt5-quick libqt5-x11extras libstdc++6
AutoReq: no

Source0: https://github.com/cutefishos/%{name}/archive/refs/tags/%{version}.tar.gz
%description
FishUI is a GUI library based on QQC2 (Qt Quick Controls 2), every Cutefish application uses it


%prep
%setup
sed -i '/QtQuick.Layout 1/s/Layout /Layouts /' src/controls/Dialog.qml


%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std


%files
#%license LICENSE
%doc README.md
#%license LICENSE
/usr/lib64/qt5/qml/QtQuick/Controls.2/fish-style
/usr/lib64/qt5/qml/FishUI
/usr/lib64/cmake/
/usr/lib64/cmake/FishUI/
/usr/lib64/libFishUI.so

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
