%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name gtk-themes

Name: cutefish-%{component_name}
Version: 0.7
Release: 1%{?dist}
License: GPLv3
Summary: System default GTK themes for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

#BuildRequires:  cmake make gcc gcc-c++
#Provides:       crule-icon-theme = 0.0.%{version}-%{release}

Source0: https://github.com/cutefishos/%{component_name}/archive/refs/tags/%{version}.tar.gz

%description
The system default GTK themes  for Cutefish Desktop

%prep
%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
#%license LICENSE
%{_datadir}/themes/Cutefish
%{_datadir}/themes/Cutefish-light
%{_datadir}/themes/Cutefish-dark
 

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
