%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name launcher

Name: cutefish-%{component_name}
Version: 0.8
Release: 1%{?dist}
License: GPLv3
Summary: Application launcher for Cutefish Desktop
Group: Graphical desktop/Other

Packager: Vadim Morozov <vadim@morozoff.pro>
BuildRequires: cmake
BuildRequires: qt5-base-devel qt5-tools qt5-tools-devel qt5-declarative-devel qt5-quickcontrols2-devel  qt5-x11extras-devel
BuildRequires: kf5-kwindowsystem-devel

Source0: https://github.com/cutefishos/%{component_name}/archive/refs/tags/%{version}.tar.gz

%description
Cutefish Desktop's full-screen application launcher

%prep
%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std


%files
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus

