%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name settings

Name: cutefish-%{component_name}
Version: 0.8
Release: alt2
License: GPLv3
Summary: System settings for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>
BuildRequires: cmake pkgconfig
BuildRequires: extra-cmake-modules
BuildRequires: libXcursor-devel libXi-devel
BuildRequires: qt5-base-devel qt5-tools-devel qt5-declarative-devel qt5-x11extras-devel qt5-quickcontrols2-devel 
BuildRequires: kf5-networkmanager-qt-devel kf5-modemmanager-qt-devel
BuildRequires: libicu-devel
BuildRequires: libfreetype-devel
BuildRequires: fontconfig-devel
BuildRequires: fishui

Requires: fishui

Source0: https://github.com/cutefishos/settings/archive/refs/heads/main.zip



%description
The System Settings application for Cutefish Desktop

%prep
%setup -qn settings-main

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus

