%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name statusbar

Name: cutefish-%{component_name}
Version: 0.7
Release: alt1
License: GPLv3
Summary: Top status bar for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires: cmake 
BuildRequires: libxcb-devel
BuildRequires: qt5-base-devel qt5-x11extras-devel qt5-quickcontrols2-devel qt5-svg-devel 
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: fishui

Requires: fishui

#Source0: https://github.com/cutefishos/%{component_name}/archive/refs/tags/%{version}.tar.gz
Source0: https://github.com/cutefishos/statusbar/archive/refs/heads/main.zip

%description
The status bar at the top displays the current status of the system, such as time, system tray, etc.

%prep
%setup -qn statusbar-main

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
