%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name terminal

Name: cutefish-%{component_name}
Version: 0.7
Release: alt2
License: GPLv3
Summary: System Terminal for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires:  cmake make gcc gcc-c++
#Provides:       crule-icon-theme = 0.0.%{version}-%{release}

Source0: https://github.com/cutefishos/terminal/archive/refs/heads/main.zip

%description
System Terminal for Cutefish Desktop

%prep
%setup -qn terminal-main

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/qt5/qml/Cutefish/TermWidget/


 

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
