%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _libdir %{_exec_prefix}/lib



Name: libcutefish
Version: 0.7
#Version: 0.3git.%%(date +%Y%m%d).%%{git_refspec_short}
Release: 1%{?dist}
License: GPLv3
Summary: CutefishOS system library
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>


BuildRequires: git extra-cmake-modules   qt5-declarative-devel qt5-graphicaleffects kf5-kwindowsystem-devel xcb-util-wm-devel qt5-quickcontrols2-devel
BuildRequires: qt5-x11extras-devel qt5-base-devel
BuildRequires: kf5-kwindowsystem-devel kf5-bluez-qt-devel kf5-networkmanager-qt-devel kf5-modemmanager-qt-devel kf5-kio-devel qt5-sensors-devel
BuildRequires: libxcb-devel xcb-util-wm-devel libcanberra-devel libpulseaudio-devel libpcre-devel ModemManager-devel
Requires:libqt5-core libdbusmenu-qt52 appmenu-qt5 libdbusextended-qt5 libqt5-dbus libqt5-gui libqt5-qml libqt5-quick libqt5-x11extras libstdc++6 libkf5quickaddons kf5-kwindowsystem-common  libkf5bluezqt libkf5networkmanagerqt libkf5modemmanagerqt  kf5-kio-devel qt5-sensors-devel libcanberra libpulseaudio libpcre-devel ModemManager
AutoReq: no

Source0: https://github.com/cutefishos/%{name}/archive/refs/tags/%{version}.tar.gz
#Source0: https://github.com/cutefishos/%%{name}/tarball/%%{git_refspec}#/%%{name}-%%{git_refspec}.tar.gz

%description
CutefishOS system library

%prep
%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
/usr/lib64/qt5/qml/Cutefish

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus
