%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name sticky

Name: sticky
Version: 1.10
Release: alt2
License: GPLv3
Summary: "Липкие" заметки для рабочего стола
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

Source0: https://github.com/linuxmint/sticky/archive/refs/tags/1.10.zip
Requires: libgspell-gir python3-module-xapp libgspell-gir libxapps-gir libgtk+3-gir python3

%description
"Липкие" заметки для рабочего стола

%prep
%setup -qn sticky-1.10

%build

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/etc/xdg/autostart
mkdir -p %{buildroot}/usr/share/locale/ru_RU/LC_MESSAGES
cp -r usr/* %{buildroot}/usr
chmod +x %{buildroot}/usr/bin/sticky
cp etc/xdg/autostart/sticky.desktop %{buildroot}/etc/xdg/autostart
cp po/sticky-ru.po %{buildroot}/usr/share/locale/ru_RU/LC_MESSAGES


%files
/etc/xdg/autostart/sticky.desktop
/usr/bin/sticky
/usr/lib/sticky/common.py
/usr/lib/sticky/manager.py
/usr/lib/sticky/note_buffer.py
/usr/lib/sticky/sticky.py
/usr/lib/sticky/util.py
/usr/share/applications/sticky.desktop
/usr/share/glib-2.0/schemas/org.x.sticky.gschema.xml
/usr/share/icons/hicolor/scalable/apps/sticky-symbolic.svg
/usr/share/icons/hicolor/scalable/apps/sticky.svg
/usr/share/icons/hicolor/scalable/status/sticky-add.svg
/usr/share/icons/hicolor/scalable/status/sticky-color.svg
/usr/share/icons/hicolor/scalable/status/sticky-delete.svg
/usr/share/icons/hicolor/scalable/status/sticky-edit.svg
/usr/share/icons/hicolor/scalable/status/sticky-text.svg
/usr/share/sticky/checked.svg
/usr/share/sticky/manager.ui
/usr/share/sticky/sticky.css
/usr/share/sticky/unchecked.svg
/usr/share/locale/ru_RU/LC_MESSAGES/sticky-ru.po
 

